package br.com.codetec.saudesabor.model;

import java.nio.charset.StandardCharsets;

public class EnderecoUsuario
{
    private String address_id;

    private String customer_id;

    private String firstname;

    private String lastname;

    private String address_1;

    private String address_2;

    private String city;

    private String postcode;

    private String country_id;

    private String zone_id;

    private boolean padrao;

    public void setAddress_id(String address_id){
        this.address_id = address_id;
    }
    public String getAddress_id(){
        return this.address_id;
    }
    public void setCustomer_id(String customer_id){
        this.customer_id = customer_id;
    }
    public String getCustomer_id(){
        return this.customer_id;
    }
    public void setFirstname(String firstname){
        this.firstname = firstname;
    }
    public String getFirstname(){
        return this.firstname;
    }
    public void setLastname(String lastname){
        this.lastname = lastname;
    }
    public String getLastname(){
        return this.lastname;
    }
    public void setAddress_1(String address_1){
        this.address_1 = address_1;
    }
    public String getAddress_1(){
        return this.address_1;
    }
    public void setAddress_2(String address_2){
        this.address_2 = address_2;
    }
    public String getAddress_2(){
        return this.address_2;
    }
    public void setCity(String city){
        this.city = city;
    }
    public String getCity(){
        return this.city;
    }
    public void setPostcode(String postcode){
        this.postcode = postcode;
    }
    public String getPostcode(){
        return this.postcode;
    }
    public void setCountry_id(String country_id){
        this.country_id = country_id;
    }
    public String getCountry_id(){
        return this.country_id;
    }
    public void setZone_id(String zone_id){
        this.zone_id = zone_id;
    }
    public String getZone_id(){
        return this.zone_id;
    }
    public void setPadrao(boolean padrao){
        this.padrao = padrao;
    }
    public boolean getPadrao(){
        return this.padrao;
    }

    @Override
    public String toString() {
        String label =  city + " "+ address_1 + " " + address_2 ;
        try {
            if (label != null) {
                label = java.net.URLDecoder.decode(label);
            }
        }catch(Exception e){
            e.printStackTrace();
        }
        return label;
    }
}